linux 下安装多个不同版本rails的问题

来源:转载

有时候会安装多个ruby,或者rails ,(如系统自带了老版本ruby,自己又稀里糊涂安装了个新版本),

但是使用的时候发现,ruby -v 出来的并不是自己想要的版本。

这里就涉及到环境变量中路径搜索先后关系,甚至是没有设置好ruby或rails环境变量。

开始吧!以下就以rails为例:

1.查看当前rails版本,rails -v

2.查看当前正在使用的rails路径: which rails

3.查找系统内所有已经安装的的rails; find / -type d -name "rails"

4.设置环境变量,原则是根据步骤3得到的结果,把自己想要的那个放在前面。具体设置方法见:http://www.linuxeden.com/html/sysadmin/20080424/56879.html

分享给朋友:
------分隔线----------------------------
您可能感兴趣的文章:
随机阅读: